Bug 1664719 - [RFE] IdM Server stable API
Summary: [RFE] IdM Server stable API
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 8.0
Assignee: IPA Maintainers
QA Contact: ipa-qe
Filip Hanzelka
URL:
Whiteboard:
Depends On: 1298286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-09 13:54 UTC by Martin Kosek
Modified: 2019-07-24 08:58 UTC (History)
7 users (show)

Fixed In Version: ipa-4.7.1-7.module+el8+2555+b334d87b
Doc Type: Technology Preview
Doc Text:
.Identity Management JSON-RPC API available as Technology Preview An API is available for Identity Management (IdM). To view the API, IdM also provides an API browser as Technology Preview. In Red Hat Enterprise Linux 7.3, the IdM API was enhanced to enable multiple versions of API commands. Previously, enhancements could change the behavior of a command in an incompatible way. Users are now able to continue using existing tools and scripts even if the IdM API changes. This enables: * Administrators to use previous or later versions of IdM on the server than on the managing client. * Developers to use a specific version of an IdM call, even if the IdM version changes on the server. In all cases, the communication with the server is possible, regardless if one side uses, for example, a newer version that introduces new options for a feature. For details on using the API, see link:https://access.redhat.com/articles/2728021[Using the Identity Management API to Communicate with the IdM Server (TECHNOLOGY PREVIEW)].
Clone Of: 1298286
Environment:
Last Closed: 2019-06-14 01:28:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Kosek 2019-01-09 13:54:00 UTC
This bug is created to track availability of IdM DNSSEC feature introduced in RHEL-7, in Bug 1298286 and denote that it is still being offered as TechPreview.

+++ This bug was initially created as a clone of Bug #1298286 +++

As a Developer of a Product, I want to call a specific version of API call, without being affected by higher or lower version of the IdM server than my testing instance so that the Product is not dependent on a specific IdM server version and respective changes

Version-Release number of selected component (if applicable):
4.2

How reproducible:
always

Steps to Reproduce:
1. run any 'ipa' command from client newer than an IPA server. E.g. user-find

Actual results:
There is only "one" API, API version is used only for rejecting request and not managing requests.

Expected results:
Client can call API with API version specified. Server will respond according to the specified version(different output/required params, etc.).

The supported versions are yet to be determined.

Comment 3 Martin Kosek 2019-02-26 12:51:04 UTC
(In reply to Martin Kosek from comment #0)
> This bug is created to track availability of IdM DNSSEC feature introduced
> in RHEL-7, in Bug 1298286 and denote that it is still being offered as
> TechPreview.

Please disregard the DNSSEC part, that was a typo - this is only about IdM API (i.e. link to Bug 1298286 is correct)

Comment 4 Varun Mylaraiah 2019-03-05 08:20:54 UTC
Verified

Client-cert test executed on Rhel-7.6 client with Rhel 8.0 server.
Version:
Server: ipa-server-4.7.1-10.module+el8+2699+aa606a46.x86_64
Client: ipa-client-4.6.4-10.el7_6.3.x86_64

Based on the test result, marking the bug VERIFIED


Note You need to log in before you can comment on or make changes to this bug.